crashpad::AnnotationSnapshot Struct Reference

## Public Member Functions

| AnnotationSnapshot (const std::string &name, uint16_t type, const std::vector< uint8_t > &value)
bool | operator== (const AnnotationSnapshot &other) const
bool | operator!= (const AnnotationSnapshot &other) const

## Public Attributes

std::string | name
| A non-unique name by which this annotation can be identified.
uint16_t | type
| The Annotation::Type of data stored in the annotation. This value may be client-supplied and need not correspond to a Crashpad-defined type.
std::vector< uint8_t > | value
| The data for the annotation. Guranteed to be non-empty, since empty annotations are skipped. The representation of the data should be interpreted as type.

The documentation for this struct was generated from the following files:

- snapshot/annotation_snapshot.h
- snapshot/annotation_snapshot.cc